<?php

namespace Linear\Templates;

function listing_map( $listing ) {

    $coordinates = get_object_value( $listing, 'mapCoordinates' ) ? get_object_value( $listing, 'mapCoordinates' ) : [];

    ob_start(); ?>
    
    <div class="linear-c-card linear-c-card--collapse linear-js-collapse">
        <button class="linear-c-card__collapse-toggle open"><?php esc_html_e( 'Location', 'linear' ); ?></button>

        <div class="linear-c-card__collapse-content">
            <div class="linear-c-card__collapse-content-inner">
                <?php

                    $get_name_parts  = get_clean_array( $listing, [ 'address', 'postalCode', 'districtFree', 'city' ] );

                    $location = array(
                        'name'       => $get_name_parts ? esc_html( implode( ', ', $get_name_parts ) ) : '',
                        'cordinates' => $coordinates,
                        'icon'       => icon( 'dot' )
                    );
                ?>
                <div id="linear-js-location-map" class="linear-c-card__map" data-location="<?php echo esc_attr( json_encode( $location ) ); ?>"></div>
            </div>
        </div>
    </div>
        
    <?php return ob_get_clean();
}
